##  for PCLinuxOS  ##

%define ver 1.2.5
%define rel 1

%define git_date 0
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora20
%else
%define realrel %{rel}.nora20
%endif

%define fcitx_ver 4.2.9.6


Name:    fcitx-qt5
Summary: Fcitx IM module for Qt5
Version: %{ver}
Release: %{realrel}
License: GPLv2+ and LGPLv2+
Group:   System/Internationalization
URL:     https://gitlab.com/fcitx/fcitx-qt5

%if %{git_date}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: fcitx-devel >= %{fcitx_ver}
BuildRequires: libxkbcommon-devel
BuildRequires: extra-cmake-modules
BuildRequires: lib64qt5base5-devel
BuildRequires: qt5widgets-devel
BuildRequires: qt5dbus-devel
BuildRequires: qtwayland5

Requires: fcitx >= %{fcitx_ver}

%description
This package provides Fcitx Qt5 input context.


%package devel
Summary: Development files for fcitx-qt5
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files necessary for developing programs using fcitx-qt5 libraries.


%prep
%if %{git_date}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q
%endif


%build
%cmake_qt5
%make_build


%install
%make_install -C build

%find_lang %{name}


%files -f %{name}.lang
%doc README COPYING 
%{_libdir}/libFcitxQt5DBusAddons.so.*
%{_libdir}/libFcitxQt5WidgetsAddons.so.*
%{_libdir}/fcitx/libexec/fcitx-qt5-gui-wrapper
%{_libdir}/fcitx/qt/libfcitx-quickphrase-editor5.so
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/libFcitxQt5DBusAddons.so
%{_libdir}/libFcitxQt5WidgetsAddons.so


%changelog
* Wed Aug 05 2020 tomcat <> 1.2.5-1
- update to 1.2.5

* Sat Jan 11 2020 tomcat <> 1.2.4-1
- update to 1.2.4
- update URL

* Sat May 26 2018 tomcat <> 1.2.3-1
- update to 1.2.3

* Sat Jan 27 2018 tomcat <> 1.2.2-1
- update to 1.2.2

* Thu Nov 23 2017 tomcat <> 1.2.1-1
- update to 1.2.1

* Fri Nov 10 2017 tomcat <> 1.2.0-1
- update to 1.2.0
- update %%files

* Sat Sep 16 2017 tomcat <> 1.1.1-1
- update to 1.1.1
- add BR:lib64qt5base5-devel

* Fri Jun 16 2017 tomcat <> 1.1.0-2.git20170519
- update to git.20170519
- build with qt5-5.9.0
- add BR:qtwayland5

* Tue Feb 14 2017 tomcat <> 1.1.0-1
- 1.1.0
- update %%files

* Thu Oct 13 2016 tomcat <> 1.0.6-0.1
- 1.0.6

* Tue Jul 19 2016 tomcat <> 1.0.5-0.1
- imported from Mageia 6
